Class | Tk::BLT::Graph
In: | tk/lib/tkextlib/blt/graph.rb
Parent: | TkWindow

### Methods

extents inside invtransform snap transform

### Included Modules

PlotComponent GraphCommand

### Constants

TkCommandNames | = | ['::blt::graph'.freeze].freeze
WidgetClassName | = | 'Graph'.freeze

### Public Instance methods

extents(item)

[Source]

    # File tk/lib/tkextlib/blt/graph.rb, line 46
        def extents(item)
          num_or_str(tk_send_without_enc('extents', item))
        end

inside(x, y)

[Source]

    # File tk/lib/tkextlib/blt/graph.rb, line 54
        def inside(x, y)
          bool(tk_send_without_enc('inside', x, y))
        end

invtransform(x, y)

[Source]

    # File tk/lib/tkextlib/blt/graph.rb, line 50
        def invtransform(x, y)
          list(tk_send_without_enc('invtransform', x, y))
        end

snap(output, keys={})

[Source]

    # File tk/lib/tkextlib/blt/graph.rb, line 58
        def snap(output, keys={})
          tk_send_without_enc('snap', *(hash_kv(keys, false) + output))
          self
        end

transform(x, y)

[Source]

    # File tk/lib/tkextlib/blt/graph.rb, line 63
        def transform(x, y)
          list(tk_send_without_enc('transform', x, y))
        end

[Validate]